changeset 401:b8a73c90bfde noffle

[svn] update
author godisch
date Tue, 03 Jun 2003 22:26:47 +0100
parents 523ab39710d4
children 6b4d9c2087f0
files debian/preinst
diffstat 1 files changed, 6 insertions(+), 10 deletions(-) [+]
line wrap: on
line diff
--- a/debian/preinst	Tue Jun 03 22:22:55 2003 +0100
+++ b/debian/preinst	Tue Jun 03 22:26:47 2003 +0100
@@ -1,17 +1,13 @@
 #!/bin/sh
-# $Id: preinst 459 2003-02-22 21:54:34Z godisch $
+# $Id: preinst 543 2003-06-03 21:26:47Z godisch $
 
 set -e
 
-if [ "$1" = install -o "$1" = upgrade ]; then
-	# this directory may still exist because of old lock files,
-	# make sure the symlink can be installed
-	if [ -d /var/spool/noffle/lock ]; then
-		if [ -d /var/lock/noffle ]; then
-			rm -rf /var/spool/noffle/lock
-		else
-			mv /var/spool/noffle/lock /var/lock/noffle || :
-		fi
+if [ -d /var/spool/noffle/lock ]; then
+	if [ -d /var/lock/noffle ]; then
+		rm -rf /var/spool/noffle/lock
+	else
+		mv /var/spool/noffle/lock /var/lock/noffle || true
 	fi
 fi